from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.drawing import XShapeDescriptor

@runtime_checkable
class XUniversalShapeDescriptor(XShapeDescriptor, Protocol):
    def setShapeType(self, aShapeTypeName: str) -> None: ...
